Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class RestrictionCreatorUtility

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.RestrictionCreatorUtility

    public class RestrictionCreatorUtility

extends Object

Constructor Summary
`RestrictionCreatorUtility()`

Method Summary
`static boolean` | `addRestrictionFiller(OWLModel owlModel, edu.stanford.smi.protege.model.Frame restriction, edu.stanford.smi.protege.model.Frame filler, String predUri, TripleStore ts)`
`static edu.stanford.smi.protege.model.Frame` | `createRestriction(OWLModel owlModel, edu.stanford.smi.protege.model.FrameID id, String predUri, TripleStore ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestrictionCreatorUtility

    public RestrictionCreatorUtility()

Method Detail

### createRestriction

    public static edu.stanford.smi.protege.model.Frame createRestriction(OWLModel owlModel,
                                                                         edu.stanford.smi.protege.model.FrameID id,
                                                                         String predUri,
                                                                         TripleStore ts)

### addRestrictionFiller

    public static boolean addRestrictionFiller(OWLModel owlModel,
                                               edu.stanford.smi.protege.model.Frame restriction,
                                               edu.stanford.smi.protege.model.Frame filler,
                                               String predUri,
                                               TripleStore ts)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.